<div class="poster"> 
<span class="title-poster">
Территория проклятых
</span>
<a href="/start/">
<img src="/css/img/butt.png" class="butt"> 
</a>
</div>
<br>
<hr>
<?
//
//
if(isset($_POST['enter'])){
	// Вход
	$name = text($_POST['name']);
	$password = text($_POST['password']);
	//
	//
	$pass = 1;
	$row = DB::$dbs->queryFetch('SELECT `password`,`id` FROM `users` WHERE `name` = ? LIMIT 1', [$name]);
			if((empty($pass) and password_verify($password, $row['password']) === false)):
				$err = 'Неверный логин или пароль!';
			endif;
			if(isset($err)):
				err($err);
				header('location: /login/? '); exit;
			else:
				$token = password_hash(time().$password, PASSWORD_DEFAULT);
				DB::$dbs->query('UPDATE `users` SET `token` = ? WHERE `id` = ? LIMIT 1', [$token,$row['id']]);
				setcookie('token', $token, time()+60*60*24*7, '/');
				header('location: /index/'); exit;
			endif;

	//
	//
}
//
//
?>
<div class="start grad-end">
	<div class="title">Вход</div>
	<? 
    echo logs();
	?>
	<form action="?" method="post">
	<input type="text" name="name" placeholder="Логин">
	<input type="text" name="password" placeholder="Пароль">
	<input type="submit" name="enter" value="Войти">
	</form>
	<?
	/*
	<a href="/password/" class="reset-pass">Забыл пароль?</a>
	*/
	?>
</div>